import 'package:flutter/material.dart';
import 'package:farm_tpf/utils/const_color.dart';

class TextFieldDescriptionWidget extends StatelessWidget {
  final TextEditingController controller;
  final Function onSaved;
  TextFieldDescriptionWidget({required this.onSaved, required this.controller});
  @override
  Widget build(BuildContext context) {
    return Container(
      padding: const EdgeInsets.all(8),
      decoration: BoxDecoration(color: AppColors.YELLOW.withOpacity(0.1), borderRadius: BorderRadius.circular(8)),
      child: TextFormField(
        keyboardType: TextInputType.text,
        controller: controller,
        decoration: const InputDecoration(labelText: "Ghi chú", hintText: 'Ghi chú', border: InputBorder.none),
        onSaved: (v) {
          // onSaved();
        },
      ),
    );
  }
}
